# TColStd_HSetOfReal.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColStd_HSetOfReal.hxx>`
`#include <TColStd_SetOfReal.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Real.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <TCollection_HSet.lxx>`

## Defines

#define | Item Standard_Real
#define | Item_hxx <Standard_Real.hxx>
#define | TheSet TColStd_SetOfReal
#define | TheSet_hxx <TColStd_SetOfReal.hxx>
#define | TCollection_HSet TColStd_HSetOfReal
#define | TCollection_HSet_hxx <TColStd_HSetOfReal.hxx>
#define | Handle_TCollection_HSet Handle_TColStd_HSetOfReal
#define | TCollection_HSet_Type_() TColStd_HSetOfReal_Type_()

## Functions

Handle_TColStd_HSetOfReal | ShallowCopy (const Handle_TColStd_HSetOfReal &me)

## Define Documentation

#define Handle_TCollection_HSet Handle_TColStd_HSetOfReal

#define Item Standard_Real

#define Item_hxx <Standard_Real.hxx>

#define TCollection_HSet TColStd_HSetOfReal

#define TCollection_HSet_hxx <TColStd_HSetOfReal.hxx>

#define TCollection_HSet_Type_ | (

)

TColStd_HSetOfReal_Type_()

#define TheSet TColStd_SetOfReal

#define TheSet_hxx <TColStd_SetOfReal.hxx>

## Function Documentation

Handle_TColStd_HSetOfReal ShallowCopy | ( | const Handle_TColStd_HSetOfReal & | me | ) | `[inline]`